- Extending Qt Creator Manual
- QtCreator
- Id
- Extending Qt Creator Manual 13.0.0

# Obsolete Members for Id

The following members of class Id are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(deprecated)` Utils::Id | fromName(const QByteArray &name)
`(deprecated)` Utils::Id | fromString(const QString &name)

## Member Function Documentation

### `[static]` Utils::Id Id::fromName(const QByteArray &name)

This function is deprecated. We strongly advise against using it in new code.

Creates an id from a string representation.

This should not be used to handle a persistent version of the Id, use `fromSetting()` instead.

See also toString() and fromSetting().

### `[static]` Utils::Id Id::fromString(const QString &name)

This function is deprecated. We strongly advise against using it in new code.

Creates an id from a string representation.

This should not be used to handle a persistent version of the Id, use `fromSetting()` instead.

See also toString() and fromSetting().